import upload from '@/utils/upload'
import request from '@/utils/request'

// 关注取消关注
export function postForkUser(params) {
	return request({
		url: '/busi/love/userLoveIs',
		method: 'post',
		params: params
	})
}
//查询城市树结构
export function treeCity() {
	return request({
		url: '/base/city/treeCity',
		method: 'get',
	})
}

//------------------会员权益-----------------------
// 会员卡数组
export function baseCardList(params) {
	return request({
		url: '/base/card/baseCardList',
		method: 'get',
		params:params
	})
}
// 权益数组
export function rightList(params) {
	return request({
		url: '/base/rights/rightList',
		method: 'get',
		params:params
	})
}

//------------------急招券相关-----------------------
//查询基础急招券
export function initCouponList() {
	return request({
		url: '/base/coupon/uniCouponList',
		method: 'get'
	})
}

//------------------通用查询分类树方法-----------------------
export function categoryTreeData(params) {
	return request({
		url: '/base/category/treeData',
		method: 'get',
		params: params
	})
}
